Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80946 - Opening a non-existent /dev/hda takes too long to time out
Summary: Opening a non-existent /dev/hda takes too long to time out
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alan Cox
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-02 18:29 UTC by Ben LaHaise
Modified: 2007-04-18 16:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-06-05 13:41:34 UTC


Attachments (Terms of Use)
dmesg output from booting 2.4.20-2.2smp (deleted)
2003-01-02 18:49 UTC, Ben LaHaise
no flags Details

Description Ben LaHaise 2003-01-02 18:29:51 UTC
On a system with SCSI disks and the primary ide controller disabled in the BIOS,
the ide driver takes far too long to time out an open operation on /dev/hda. 
This results in lilo taking forever to run.

[root@localhost etc]# time dd if=/dev/hda of=/dev/null bs=1k                   
dd: opening `/dev/hda': No such device or address                              
                                                                               
real    0m14.828s                                                              
user    0m14.780s                                                              
sys     0m0.030s                                                               
[root@localhost etc]# 

dmesg of boot to follow.

Comment 1 Ben LaHaise 2003-01-02 18:49:18 UTC
Created attachment 89062 [details]
dmesg output from booting 2.4.20-2.2smp

Comment 2 Alan Cox 2003-01-02 19:10:42 UTC
During this operation is modprobe/insmod running somewhere ?



Note You need to log in before you can comment on or make changes to this bug.